Subject: Re: git blame breaking on repository with CRLF files

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Aug 2015 11:48:35 -0700

Torsten Bögershausen <[email-masked]> writes:

> Actually I could reproduce the following:
> CRLF in repo, CRLF in working tree, core.autocrlf= true.

What should happen in such a case?  Wouldn't autocrlf=true want to
strip CRLF down to LF?  Shouldn't it?  And if so, "blame" is correct
to say that you are changing the line endings of all your lines, as
what you _would_ commit if you were to commit the tracked files in
your working tree would be different from what is in the index, no?